Debian-Sicherheitsankündigung

DSA-276-1 linux-kernel-s390 -- Lokale Privilegien-Erweiterung

Datum des Berichts:
03. Apr 2003
Betroffene Pakete:
kernel-patch-2.4.17-s390, kernel-image-2.4.17-s390
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In der Bugtraq-Datenbank (bei SecurityFocus): BugTraq ID 7112.
In Mitres CVE-Verzeichnis: CVE-2003-0127.
Weitere Informationen:

Der Kernel-Modul-Lader im Linux-Kernel 2.2 und 2.4 hat eine Schwäche bei ptrace. Dieses Loch erlaubt es einem lokalen Benutzer, root-Privilegien unter Verwendung von ptrace auf einen vom Kernel gestarteten Kind-Prozess zu erhalten. Eine entfernte Ausnutzung dieser Lücke ist nicht möglich.

Diese Ankündigung behandelt nur Kernel-Pakete für die S/390-Architektur. Andere Architekturen werden von getrennten Ankündigungen behandelt.

Für die stable Distribution (Woody) wurde dieses Problem in folgenden Versionen behoben:

  • kernel-patch-2.4.17-s390: Version 0.0.20020816-0.woody.1.1
  • kernel-image-2.4.17-s390: Version 2.4.17-2.woody.2.2

2.4.17-0.020226.2.woody1 des kernel-patch-2.4.17-mips (mips+mipsel) und in Version 2.4.19-0.020911.1.woody1 des kernel-patch-2.4.19-mips (nur mips) Paketes behoben.

Die alte stable Distribution (Potato) ist von diesem Problem für diese Architektur nicht betroffen, da die Architektur S/390 zum ersten Mal mit Debian GNU/Linux 3.0 (Woody) freigegeben wurden.

Für die unstable Distribution (Sid) wird dieses Problem bald behoben.

Wir empfehlen Ihnen, Ihre kernel-images Pakete unverzüglich zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.0 (woody)

Quellcode:
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.17-s390/kernel-patch-2.4.17-s390_0.0.20020816-0.woody.1.1.dsc
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.17-s390/kernel-patch-2.4.17-s390_0.0.20020816-0.woody.1.1.diff.gz
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.17-s390/kernel-patch-2.4.17-s390_0.0.20020816.orig.tar.gz
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-s390/kernel-image-2.4.17-s390_2.4.17-2.woody.2.2.dsc
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-s390/kernel-image-2.4.17-s390_2.4.17-2.woody.2.2.tar.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/k/kernel-patch-2.4.17-s390/kernel-patch-2.4.17-s390_0.0.20020816-0.woody.1.1_all.deb
IBM S/390:
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-s390/kernel-headers-2.4.17_2.4.17-2.woody.2.2_s390.deb
http://security.debian.org/pool/updates/main/k/kernel-image-2.4.17-s390/kernel-image-2.4.17-s390_2.4.17-2.woody.2.2_s390.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.